screen cg_slot(cgname, cgthumb, cglabels, cgcondition):
    $ cgaction = g.Action(cgname)

    if persistent.modGalleryUnlocked:
        $ cgreplay = Replay((cglabels), scope={"mc" : "[persistent.mc_name]"}, locked = False) #check if persistent works! #todo

    else:
        $ cgreplay = Replay((cglabels), scope={"mc" : "[persistent.mc_name]"}) #check if persistent works! #todo

    #cgcondition - make-in game conditions saved in person.ss list if all are met > Fully Unlocked

    button:
        xsize 311 ysize 242
        at gui_cgbutton
        if cgaction:
            action cgaction and cgreplay
            add cgthumb:
                xsize 245 ysize 135
                xalign 0.5 yalign 0.5
            add "gui/gallery/gallery_slot_idle.png"

            if cgcondition == True: #persistent name = True:
                text "Fully Unlocked":
                    size 25
                    color "#FEF9F3"
                    font "gui/fonts/AlegreyaSans-Regular.ttf"
                    xmaximum 200
                    xpos 77
                    ypos 0.88

            elif cgcondition == False:
                text "Incomplete":
                    size 25
                    color "#FEF9F3"
                    font "gui/fonts/AlegreyaSans-Regular.ttf"
                    #outlines [ (absolute(1), "#18051a", absolute(0), absolute(0)) ]
                    xmaximum 200
                    xpos 90
                    ypos 0.88

            elif cgcondition == None:
                text "Fully Unlocked":
                    size 25
                    color "#FEF9F3"
                    font "gui/fonts/AlegreyaSans-Regular.ttf"
                    xmaximum 200
                    xpos 77
                    ypos 0.88
        else:
            action None
            add "gui/gallery/gallery_slot_locked.png"

screen cg_page1(page=1):
    tag menu

    use gallery(page=page)

    vpgrid:
        xpos 363
        ypos 334
        xysize (1337, 498)
        spacing 9
        cols 4
        scrollbars "vertical"
        vscrollbar_xsize 37
        vscrollbar_ysize 516
        vscrollbar_xoffset 25

        mousewheel True

        vscrollbar_left_gutter 50
        vscrollbar_right_gutter 50

        vscrollbar_base_bar "gui/gallery/scroll.png"
        vscrollbar_thumb "gui/gallery/scroller.png"
        vscrollbar_thumb_offset 51
        ############### ADD CGS HERE ##################

        # The first string is the name of your button, which should
        # correspond to your g.button() definitions at line ??.

        # The second string is the path to your thumbnail.
        #245x135



        use cg_slot("FParty", "images/ep1/PartyToi_1.1.4_thumb.jpg", "ep1_party_toilet", persistent.ep1_f_toilet)
        use cg_slot("VDream1", "images/ep1/InterV_1.1.5_thumb.jpg", "ep1_dream_v", None)
        null
        null
        null
        null
        null
        null

    if not persistent.modGalleryUnlockedEp3:
        textbutton "Unlock" action ui.callsinnewcontext("modUnlock") align(0.99, 0.01)

screen cg_page2(page=2):
    tag menu

    use gallery(page=page)

    vpgrid:
        xpos 363
        ypos 334
        xysize (1337, 498)
        spacing 9
        cols 4
        scrollbars "vertical"
        vscrollbar_xsize 37
        vscrollbar_ysize 516
        vscrollbar_xoffset 25

        mousewheel True

        vscrollbar_left_gutter 50
        vscrollbar_right_gutter 50

        vscrollbar_base_bar "gui/gallery/scroll.png"
        vscrollbar_thumb "gui/gallery/scroller.png"
        vscrollbar_thumb_offset 51
        ############### ADD CGS HERE ##################

        # The first string is the name of your button, which should
        # correspond to your g.button() definitions at line ??.

        # The second string is the path to your thumbnail.
        # Make sure your thumbnail is 334x188.

        use cg_slot("FFJob", "images/ep2/Ep2_FFParty_thumb_1.31.1.jpg", "ep2_ff_ss", persistent.ep2_ff_job_morph)
        use cg_slot("JJob", "images/ep2/Ep2_Jss_thumb_1.1.1.jpg", "ep2_glass_ss", persistent.ep2_j_job_morph)
        use cg_slot("Nmast", "images/ep2/Ep2_Nmast_thumb_1.1.1.jpg", "ep2_return_warehouse", None)
        use cg_slot("GGMast", "images/ep2/Ep2_Gg_thumb_1.3.1.jpg", "ep2_gun_job", None)
        use cg_slot("MSDDream2", "images/ep2/Ep2_Msd_thumb_1.4.1.jpg", "ep2_dreams_msd", persistent.ep2_msd_dream)
        use cg_slot("ASDream2", "images/ep2/Ep2_Ass_thumb_1.2.1.jpg", "ep2_dreams_ass", persistent.ep2_ass_dream)
        null
        null 

    if not persistent.modGalleryUnlockedEp3:
        textbutton "Unlock" action ui.callsinnewcontext("modUnlock") align(0.99, 0.01)

screen cg_page3(page=3):
        tag menu

        use gallery(page=page)

        vpgrid:
            xpos 363
            ypos 334
            xysize (1337, 498)
            spacing 9
            cols 4
            scrollbars "vertical"
            vscrollbar_xsize 37
            vscrollbar_ysize 516
            vscrollbar_xoffset 25

            mousewheel True

            vscrollbar_left_gutter 50
            vscrollbar_right_gutter 50

            vscrollbar_base_bar "gui/gallery/scroll.png"
            vscrollbar_thumb "gui/gallery/scroller.png"
            vscrollbar_thumb_offset 51
            ############### ADD CGS HERE ##################

            # The first string is the name of your button, which should
            # correspond to your g.button() definitions at line ??.

            # The second string is the path to your thumbnail.
            # Make sure your thumbnail is 334x188.

            use cg_slot("GBJob", "images/ep3/Ep3_GBSS_thumb_1.1.1.jpg", "ep3_gb_ss", persistent.ep3_gbjob_ss_morph)
            use cg_slot("Ep3_JSS", "images/ep3/Ep3_JSS_thumb_1.1.1.jpg", "ep3_glass_jss", persistent.ep3_jss_squirt)
            use cg_slot("Ep3_Pol1", "images/ep3/Ep3_Pol1SS_thumb_1.1.1.jpg", "ep3_pol1job_ss", persistent.ep3_pol1_ss_morph)
            use cg_slot("Ep3_F", "images/ep3/Ep3_FSS_thumb_1.1.1.jpg", "ep3_f_ss", None)
            use cg_slot("Ep3_GG", "images/ep3/Ep3_GGSS_thumb_1.1.1.jpg", "ep3_gg_ss", None)
            use cg_slot("Ep3_GBSSR", "images/ep3/Ep3_GBSSR_thumb_1.1.1.jpg", "ep3_rest_gb_ss", persistent.ep3_gbrest_ss)
            use cg_slot("Ep3_MISS", "images/ep3/Ep3_MISS_thumb_1.1.1.jpg", "ep3_mi_ss", persistent.ep3_mi_dress_ss)
            use cg_slot("Ep3_FFSS", "images/ep3/Ep3_FFSS_thumb_1.1.1.jpg", "ep3_ndmansion_ff_ss", persistent.ep3_ff_ndman_morph)
            use cg_slot("Ep3_MSD", "images/ep3/Ep3_MSDDream_thumb_1.1.1.jpg", "ep3_msdp_dream_2", persistent.ep3_msd_dream_ss)
            use cg_slot("Ep3_ASP", "images/ep3/Ep3_Ass_thumb_1.1.1.jpg", "ep3_asp_dream_2", persistent.ep3_asp_dream_ss)

        if not persistent.modGalleryUnlockedEp3:
            textbutton "Unlock" action ui.callsinnewcontext("modUnlock") align(0.99, 0.01)